package com.quyunshuo.module.home.fragment.repo

import com.quyunshuo.androidbaseframemvvm.base.mvvm.m.BaseRepository
import com.module.pay.service.HomeApiService
import com.quyunshuo.androidbaseframemvvm.common.constant.Heartbeat
import javax.inject.Inject

/**
 * HomeFragment的数据仓库层
 *
 * @author Qu Yunshuo
 * @since 2021/8/5 10:59 下午
 */
class MakeFragmentRepo @Inject constructor() : BaseRepository() {

    @Inject
    lateinit var mApi:HomeApiService

    //优惠码 状态修改为已使用。
    fun updateProCodeState(code: String) =request<String> {
        var map = HashMap<String,String>()
        map["code"] = code
        map["clientId"] = Heartbeat.deviceId!!
        mApi.updateCode(map).run {
            emit(this)
        }
    }
}